<html>
  <head>
    <link rel="stylesheet" type="text/css" href="style.css">
  </head>
<body>
  <div class="header">
    <a href="#default" class="logo">Department</a>
    <div class="header-right">
      <a href="developers.html">Developers</a>
      <a href="projects.html">Projects</a>
      <a href="customers.html">Customers</a>
      <a href="bills.html" class="active">Bills</a>
    </div>
  </div>
  <div class="content">
    <table id="table">
      <colgroup>
        <col span="1" style="width: 25%;">
        <col span="1" style="width: 25%;">
        <col span="1" style="width: 25%;">
        <col span="1" style="width: 25%;">
      </colgroup>
      <tr>
        <th>project id</th>
        <th>customer id</th>
        <th>amount</th>
        <th>paid</th>
      </tr>
    </table>
    <form name="add" class="form-container"></form>
  </div>
  <script type = "text/javascript" src="script.js"></script>
  <script>
    function update(data) {
      t = document.getElementsByTagName("table")[0];
      while(t.rows.length > 1) {
        table.deleteRow(1);
      }
      for (const bill of data.bills)
      {
        var new_row = document.createElement('tr');
        new_row.insertCell(0).innerHTML = bill.project_id;
        new_row.insertCell(1).innerHTML = bill.customer_id;
        new_row.insertCell(2).innerHTML = bill.amount;
        new_row.insertCell(3).innerHTML = bill.paid;
        t.appendChild(new_row);
      }
      setCookie('data', JSON.stringify(data), 30);
    };

    formInfo = {
      table_name: "bills", 
      submit_button_text: "Add Bill",
      inputs: [
        {"name": "project_id", "placeholder": "Developer ID", "is_numeric": true, "is_unique": true},
        {"name": "customer_id", "placeholder": "Developer ID", "is_numeric": true, "is_unique": true},
        {"name": "amount", "placeholder": "Amount", "is_numeric": true, "is_unique": false},
        {"name": "paid", "placeholder": "Paid", "is_numeric": true, "is_unique": false}
      ],
      updateTable: update
    };

    createForm(document.forms["add"]);
  </script>
</body>
</html>
